% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/CRF_vimp.R
\name{CRF_vimp}
\alias{CRF_vimp}
\title{Permutation importance based on conditional random forest importance}
\usage{
CRF_vimp(x, y, scale = FALSE, ntree = 50, mtry = if (!is.null(y) &&
  !is.factor(y)) max(floor(ncol(x)/3), 1) else floor(sqrt(ncol(x))))
}
\arguments{
\item{x}{Matrix of predictors.}

\item{y}{The outcome vector.}

\item{scale}{Should the permutation importances be ``scaled''? The default is \code{FALSE}.}

\item{ntree}{Number of trees for the random forest run. The default value is \code{50}.}
}
\description{
This function calculates permutation importance based on conditional random forests. Predictor variables must be continuous or dichotomous. Multi-category factors are not supported.
}
