% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/RFVS_perm_cond.R
\name{RFVS_perm_cond}
\alias{RFVS_perm_cond}
\title{Variable selection based on permutation of conditional random forest permutation variable importance}
\usage{
RFVS_perm_cond(x, y, perms = 10, ntree = 50, pctl = 0.95,
  scale = FALSE, plot = FALSE, permcores = 1)
}
\arguments{
\item{x}{A matrix of predictors.}

\item{y}{The outcome variable.}

\item{perms}{The number of permutations used to create a null distribtuion for importance values. The default value is \code{10}.}

\item{ntree}{Number of trees for the random forest run. The default value is \code{50}.}

\item{pctl}{The percentile of the null distribution of importance used as a threshold for variable selection. The default is \code{pctl = .95}.}

\item{scale}{Should the permutation importances be ``scaled''? The default value is \code{FALSE}.}

\item{plot}{Should a plot of variable importance and permutation thresholds be produced? The default value is \code{FALSE}.}

\item{permcores}{Number of processor cores to use for parallel computing with package \pkg{parallel} for running the \code{perms} permutations. The default is no parallel computing (i.e., \code{permcores = 1}). Note that pkg{parallel} is not compatible with Windows versions of R. Specifically, if running Windows, \code{mclapply} will revert to \code{lapply}, so the function will still run, but with no parallelization.}
}
\description{
This function implements variable selection based on conditional importance values from random forest runs.
}
\keyword{Conditional}
\keyword{Forest}
\keyword{Importance}
\keyword{Permutation}
\keyword{Random}
\keyword{Selection}
\keyword{Variable}
\keyword{of}
\keyword{via}
