% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/RFVS_perm_trad.R
\name{RFVS_perm_trad}
\alias{RFVS_perm_trad}
\title{Variable selection based on permutation of traditional random forest permutation variable importance}
\usage{
RFVS_perm_trad(x, y, perms = 20, ntree = 200, pctl = 0.95,
  scale = FALSE, plot = FALSE)
}
\arguments{
\item{x}{A matrix of predictors.}

\item{y}{The outcome variable.}

\item{perms}{The number of permutations used to create a null distribtuion for importance values. The default value is \code{20}.}

\item{ntree}{Number of trees for the random forest run. The default value is \code{200}.}

\item{pctl}{The percentile of the null distribution of importance used as a threshold for variable selection. The default is \code{pctl = .95}.}

\item{scale}{Should the permutation importances be ``scaled''? The default value is \code{FALSE}.}

\item{plot}{Should a plot of variable importance and permutation thresholds be produced? The default value is \code{FALSE}.}
}
\description{
This function implements variable selection based on importance values from random forest runs.
}
\keyword{Forest}
\keyword{Importance}
\keyword{Permutation}
\keyword{Random}
\keyword{Selection}
\keyword{Variable}
