% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/RFXY_trad.R
\name{RFXY_trad}
\alias{RFXY_trad}
\title{Implementation of de Luna, Waernbaum, & Richardson's (2011) "XY" algorithm. Calls RFVS_perm_trad for variable selection.}
\usage{
RFXY_trad(X, Y, T, perms = 20, ntree = 200, pctl = 0.95,
  scale = FALSE)
}
\arguments{
\item{X}{Matrix of predictors.}

\item{Y}{The outcome variable.}

\item{T}{The treatment (exposure) variable. Must be dichotomous 0/1.}

\item{perms}{The number of permutation replications used to create a null distribtuion for importance values. The default value is \code{20}.}

\item{ntree}{The number of trees for the random forest run. The default value is \code{200}.}

\item{pctl}{The percentile of the null permutation distribution of importance used as a threshold for variable selection. The default is \code{pctl = .95}.}

\item{scale}{Should the permutation importances be ``scaled''? The default value is \code{FALSE}.}
}
\description{
This function implements de Luna, Waernbaum, & Richardson's (2011) "XY" algorithm using random forests with traditional variable importance under permutation for testing conditional independence.
}
\keyword{Forest}
\keyword{Importance}
\keyword{Permutation}
\keyword{Random}
\keyword{Selection}
\keyword{Variable}
