% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/RFXY_trad_wrap.R
\name{RFXY_trad_wrap}
\alias{RFXY_trad_wrap}
\title{Wrapper for \code{rf_xy}.}
\usage{
RFXY_trad_wrap(X, Y, T, perms = 20, ntree = 200, pctl = 0.95,
  sidak = TRUE, scale = FALSE, iterate = FALSE)
}
\arguments{
\item{X}{Matrix of predictors.}

\item{Y}{The outcome variable.}

\item{T}{The treatment (exposure) variable. Must be dichotomous 0/1.}

\item{perms}{The number of permutation replications used to create a null distribtuion for importance values. The default is \code{20}.}

\item{ntree}{The number of trees for the random forest run. The default value is \code{200}.}

\item{pctl}{The percentile of the null distribution of importance used as a threshold for variable selection. The default is \code{pctl = .95}.}

\item{sidak}{Should a Sidak correction for multiple tests be made based on the number of predictors? The default is \code{TRUE}.}

\item{scale}{Should the permutation importances be ``scaled''? The default is \code{FALSE}.}

\item{iterate}{Should variable selection run iteratively until no new variables are dropped? The default is \code{FALSE}.}
}
\description{
This function uses traditional random forest importance to iteratively implement rf_xy, paring down the covariate set until consecutive iterations are identical.
}
\keyword{Forest}
\keyword{Importance}
\keyword{Permutation}
\keyword{Random}
\keyword{Selection}
\keyword{Variable}
