% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/RF_vimp.R
\name{RF_vimp}
\alias{RF_vimp}
\title{Permutation importance based on random forests}
\usage{
RF_vimp(x, y, ntree = 200, scale = FALSE, mtry = if (!is.null(y) &&
  !is.factor(y)) max(floor(ncol(x)/3), 1) else floor(sqrt(ncol(x))))
}
\arguments{
\item{x}{Matrix of predictors.}

\item{y}{The outcome variable.}

\item{ntree}{Number of trees for the random forest run. The default is \code{200}.}

\item{scale}{Should the permutation importances be ``scaled''? The default is \code{FALSE}.}

\item{mtry}{Number of predictors sampled for the construction of each tree. The default is \code{max(floor(ncol(x)/3), 1)} for factor variables and \code{floor(sqrt(ncol(x)))} for non-factor variables.}
}
\description{
This function uses package ranger to calculate traditional random forest permutation importance.
}
\keyword{Forest}
\keyword{Importance}
\keyword{Permutation}
\keyword{Random}
\keyword{Selection}
\keyword{Variable}
