% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/DGP.R
\name{dgpCOLLIDER}
\alias{dgpCOLLIDER}
\title{Data generation for simulation experimentation.}
\usage{
dgpCOLLIDER(n = 500, noise = 12)
}
\arguments{
\item{n}{The total sample size for the data set. The intercept of the propensity score model is set to 0 so that the groups sizes are approximately equal. The default value is 500.}

\item{noise}{The number of additional noise variables to be simulated. Noise variables are variables that do not have a causal link to either exposure or potential outcomes.}
}
\description{
This function generates data such that X1, X2, and X3 affect both the exposure T and the potential outcomes. X4 is an exposure-only predictor. X5 is an outcome-only predictor. X6 is a predictor for exposure T and X8. X7 is predictor for potential outcomes and X8. Thus, X8 is a collider on the path from T the potential outcome.
}
\keyword{Data}
\keyword{Generation}
\keyword{Model}
