% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/GBN_XY.R
\name{gbn_xy}
\alias{gbn_xy}
\title{Variable selection via conditional independence testing with Gaussian Bayesian networks.}
\usage{
gbn_xy(X, Y, T, alpha = 0.05, method = "mmpc")
}
\arguments{
\item{X}{Matrix of predictors.}

\item{Y}{The outcome variable.}

\item{T}{The treatment (exposure) variable. Must be dichotomous 0/1.}

\item{alpha}{Type I error rate. The default is \code{.05}.}

\item{method}{See documentation for \pkg{bnlearn}. Default is \code{mmpc}.}
}
\description{
This function implements de Luna, Waernbaum, & Richardson's (2011) "XY" algorithm using mutual information with Bayesian networks as implemented in package \pkg{bnlearn} for testing conditional independence.
}
\keyword{Bayesian}
\keyword{Causal}
\keyword{Inference}
\keyword{Networks}
\keyword{Selection}
\keyword{Using}
\keyword{Variable}
\keyword{for}
